# gnome-pgl

## Name

gnome-pgl --

## Synopsis

    struct      GnomePosGlyphList;
    GnomePosGlyphList* gnome_pgl_from_gl        (const GnomeGlyphList *gl,
                                                 const gdouble *transform,
                                                 guint flags);
    void        gnome_pgl_destroy               (GnomePosGlyphList *pgl);
    ArtDRect*   gnome_pgl_bbox                  (const GnomePosGlyphList *pgl,
                                                 ArtDRect *bbox);
    gboolean    gnome_pgl_test_point            (const GnomePosGlyphList *pgl,
                                                 gdouble x,
                                                 gdouble y);
    void        gnome_pgl_render_rgba8          (const GnomePosGlyphList *pgl,
                                                 gdouble x,
                                                 gdouble y,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint rowstride,
                                                 guint flags);
    void        gnome_pgl_render_rgb8           (const GnomePosGlyphList *pgl,
                                                 gdouble x,
                                                 gdouble y,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint rowstride,
                                                 guint flags);

## Description

## Details

### >struct GnomePosGlyphList

    struct GnomePosGlyphList;

### >gnome_pgl_from_gl ()

    GnomePosGlyphList* gnome_pgl_from_gl        (const GnomeGlyphList *gl,
                                                 const gdouble *transform,
                                                 guint flags);

gl : |
transform : |
flags : |
Returns : |

### >gnome_pgl_destroy ()

    void        gnome_pgl_destroy               (GnomePosGlyphList *pgl);

pgl : |

### >gnome_pgl_bbox ()

    ArtDRect*   gnome_pgl_bbox                  (const GnomePosGlyphList *pgl,
                                                 ArtDRect *bbox);

pgl : |
bbox : |
Returns : |

### >gnome_pgl_test_point ()

    gboolean    gnome_pgl_test_point            (const GnomePosGlyphList *pgl,
                                                 gdouble x,
                                                 gdouble y);

pgl : |
x : |
y : |
Returns : |

### >gnome_pgl_render_rgba8 ()

    void        gnome_pgl_render_rgba8          (const GnomePosGlyphList *pgl,
                                                 gdouble x,
                                                 gdouble y,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint rowstride,
                                                 guint flags);

pgl : |
x : |
y : |
buf : |
width : |
height : |
rowstride : |
flags : |

### >gnome_pgl_render_rgb8 ()

    void        gnome_pgl_render_rgb8           (const GnomePosGlyphList *pgl,
                                                 gdouble x,
                                                 gdouble y,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint rowstride,
                                                 guint flags);

pgl : |
x : |
y : |
buf : |
width : |
height : |
rowstride : |
flags : |